Skip to main content
GET
/
imagehost
/
gallery
ImageHost Gallery
curl --request GET \
  --url 'https://haunt.gg/api/imagehost/gallery?key='
{
  "files": [
    {
      "id": "<string>",
      "fileName": "<string>",
      "fileExtension": "<string>",
      "fileSize": 123,
      "fileOriginal": "<string>",
      "uploadAt": 123,
      "favorite": true,
      "folder": {
        "id": "<string>",
        "folderName": "<string>",
        "folderPublic": true,
        "folderPasswordEnabled": true,
        "createdAt": 123,
        "updatedAt": 123
      }
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Documentation Index

Fetch the complete documentation index at: https://help.haunt.gg/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

key
string
query
required

Your Account API key (found in your dashboard)

Query Parameters

limit
integer

Maximum number of files to return (max 100)

Required range: x <= 100
offset
integer

Number of files to skip

Required range: x >= 0

Response

Gallery files retrieved successfully

files
object[]
required
total
integer
required

Total number of files

limit
integer | null

Applied limit

offset
integer | null

Applied offset